# This file is generated by numpy's setup.py
# It contains system_info results at the time of building this package.
__all__ = ["get_info","show"]



import os
import sys

extra_dll_dir = os.path.join(os.path.dirname(__file__), '.libs')

if os.path.isdir(extra_dll_dir) and sys.platform == 'win32':
    try:
        from ctypes import windll, c_wchar_p
        _AddDllDirectory = windll.kernel32.AddDllDirectory
        _AddDllDirectory.argtypes = [c_wchar_p]
        # Needed to initialize AddDllDirectory modifications
        windll.kernel32.SetDefaultDllDirectories(0x1000)
    except AttributeError:
        def _AddDllDirectory(dll_directory):
            os.environ.setdefault('PATH', '')
            os.environ['PATH'] += os.pathsep + dll_directory

    _AddDllDirectory(extra_dll_dir)

lapack_opt_info={'language': 'f77', 'define_macros': [('HAVE_CBLAS', None)], 'library_dirs': ['C:\\projects\\numpy-wheels\\numpy\\build\\openblas'], 'libraries': ['openblas']}
blas_mkl_info={}
lapack_mkl_info={}
openblas_info={'library_dirs': ['C:\\projects\\numpy-wheels\\numpy\\build\\openblas'], 'language': 'f77', 'define_macros': [('HAVE_CBLAS', None)], 'libraries': ['openblas']}
blas_opt_info={'language': 'f77', 'define_macros': [('HAVE_CBLAS', None)], 'library_dirs': ['C:\\projects\\numpy-wheels\\numpy\\build\\openblas'], 'libraries': ['openblas']}
openblas_lapack_info={'library_dirs': ['C:\\projects\\numpy-wheels\\numpy\\build\\openblas'], 'language': 'f77', 'define_macros': [('HAVE_CBLAS', None)], 'libraries': ['openblas']}
blis_info={}

def get_info(name):
    g = globals()
    return g.get(name, g.get(name + "_info", {}))

def show():
    for name,info_dict in globals().items():
        if name[0] == "_" or type(info_dict) is not type({}): continue
        print(name + ":")
        if not info_dict:
            print("  NOT AVAILABLE")
        for k,v in info_dict.items():
            v = str(v)
            if k == "sources" and len(v) > 200:
                v = v[:60] + " ...\n... " + v[-60:]
            print("    %s = %s" % (k,v))
    